<?php
define('MTOP', 1);
$title = 'Заблокированные';
require_once ('system/connect.php');
require_once ('system/core.php');
require_once ('system/function.php');
require_once ('head.php');
$count = mysql_num_rows(mysql_query("SELECT * FROM `sait` WHERE `ban` = '1'"));
if($count > 0){
$total=intval(($count-1)/$page_sait)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0) $page = 1;
if($page > $total)$page = $total;
$past=intval($count/$page_sait);
$start=$page*$page_sait-$page_sait;
echo '<div class="title2">Заблокированные</div>';
$saits = mysql_query("SELECT * FROM `sait` WHERE `ban` = '1' ORDER BY `id` DESC LIMIT ".$start.",".$page_sait."");
while($row = mysql_fetch_array($saits)){
$start++;
echo '<div class="main"><b><a href="/out/'.$row['id'].'.php">'.$row['url'].'</a></b><br/>';
if(isset($user_data) AND $user_data['level'] >= 3){
if(mb_strlen($row['about']) > 80){
$text = mb_substr($row['about'], 0, 80, 'utf-8');
echo ''.$text.'..';
}
else {
echo ''.$row['about'].'..';
}
echo '<hr>';
}
echo 'Причина блокировки: '.$row['ban_reason'].'';
if(isset($user_data) AND $user_data['level'] >= 3){
echo '<hr><a href="/yamuska/platforms.php?act=edit_sait&id='.$row['id'].'">Редактировать</a> | ';
echo '<a href="/yamuska/platforms.php?act=ban&id='.$row['id'].'">Разблокировать</a> | ';
echo '<a href="/yamuska/platforms.php?act=del_sait&id='.$row['id'].'">Удалить</a>';
}
echo '</div>';
}
navigation($count,$page_sait,$page,'ban.php?sort='.$sort.'&',$total);
}
else {
echo '<div class="title2">Заблокированные</div>';
echo '<div class="main"><center>Нет заблокированных сайтов</center></div>';
}
require_once ('foot.php');
?>